org.apache.ignite.mxbean

## Interface ThreadPoolMXBean

All Known Implementing Classes:
  ThreadPoolMXBeanAdapter

    @MXBeanDescription(value="MBean that provides access to information about executor service.")
    public interface ThreadPoolMXBean

MBean that provides access to information about executor service.

### Method Summary

Methods
`int` `getActiveCount()` Returns the approximate number of threads that are actively executing tasks.
`long` `getCompletedTaskCount()` Returns the approximate total number of tasks that have completed execution.
`int` `getCorePoolSize()` Returns the core number of threads.
`long` `getKeepAliveTime()` Returns the thread keep-alive time, which is the amount of time which threads in excess of the core pool size may remain idle before being terminated.
`int` `getLargestPoolSize()` Returns the largest number of threads that have ever simultaneously been in the pool.
`int` `getMaximumPoolSize()` Returns the maximum allowed number of threads.
`int` `getPoolSize()` Returns the current number of threads in the pool.
`int` `getQueueSize()` Gets current size of the execution queue.
`String` `getRejectedExecutionHandlerClass()` Returns the class name of current rejection handler.
`long` `getTaskCount()` Returns the approximate total number of tasks that have been scheduled for execution.
`String` `getThreadFactoryClass()` Returns the class name of thread factory used to create new threads.
`boolean` `isShutdown()` Returns `true` if this executor has been shut down.
`boolean` `isTerminated()` Returns `true` if all tasks have completed following shut down.
`boolean` `isTerminating()` Returns `true` if this executor is in the process of terminating after `shutdown()` or `shutdownNow()` but has not completely terminated.

### Method Detail

#### getActiveCount

    @MXBeanDescription(value="Approximate number of threads that are actively executing tasks.")
    int getActiveCount()

Returns the approximate number of threads that are actively executing tasks.

Returns:
  The number of threads.

#### getCompletedTaskCount

    @MXBeanDescription(value="Approximate total number of tasks that have completed execution.")
    long getCompletedTaskCount()

Returns the approximate total number of tasks that have completed execution. Because the states of tasks and threads may change dynamically during computation, the returned value is only an approximation, but one that does not ever decrease across successive calls.

Returns:
  The number of tasks.

#### getCorePoolSize

    @MXBeanDescription(value="The core number of threads.")
    int getCorePoolSize()

Returns the core number of threads.

Returns:
  The core number of threads.

#### getLargestPoolSize

    @MXBeanDescription(value="Largest number of threads that have ever simultaneously been in the pool.")
    int getLargestPoolSize()

Returns the largest number of threads that have ever simultaneously been in the pool.

Returns:
  The number of threads.

#### getMaximumPoolSize

    @MXBeanDescription(value="The maximum allowed number of threads.")
    int getMaximumPoolSize()

Returns the maximum allowed number of threads.

Returns:
  The maximum allowed number of threads.

#### getPoolSize

    @MXBeanDescription(value="Current number of threads in the pool.")
    int getPoolSize()

Returns the current number of threads in the pool.

Returns:
  The number of threads.

#### getTaskCount

    @MXBeanDescription(value="Approximate total number of tasks that have been scheduled for execution.")
    long getTaskCount()

Returns the approximate total number of tasks that have been scheduled for execution. Because the states of tasks and threads may change dynamically during computation, the returned value is only an approximation, but one that does not ever decrease across successive calls.

Returns:
  The number of tasks.

#### getQueueSize

    @MXBeanDescription(value="Current size of the execution queue.")
    int getQueueSize()

Gets current size of the execution queue. This queue buffers local executions when there are not threads available for processing in the pool.

Returns:
  Current size of the execution queue.

#### getKeepAliveTime

    @MXBeanDescription(value="Thread keep-alive time, which is the amount of time which threads in excess of the core pool size may remain idle before being terminated.")
    long getKeepAliveTime()

Returns the thread keep-alive time, which is the amount of time which threads in excess of the core pool size may remain idle before being terminated.

Returns:
  Keep alive time.

#### isShutdown

    @MXBeanDescription(value="True if this executor has been shut down.")
    boolean isShutdown()

Returns `true` if this executor has been shut down.

Returns:
  `True` if this executor has been shut down.

#### isTerminated

    @MXBeanDescription(value="True if all tasks have completed following shut down.")
    boolean isTerminated()

Returns `true` if all tasks have completed following shut down. Note that `isTerminated()` is never `true` unless either `shutdown()` or `shutdownNow()` was called first.

Returns:
  `True` if all tasks have completed following shut down.

#### isTerminating

    @MXBeanDescription(value="True if terminating but not yet terminated.")
    boolean isTerminating()

Returns `true` if this executor is in the process of terminating after `shutdown()` or `shutdownNow()` but has not completely terminated. This method may be useful for debugging. A return of `true` reported a sufficient period after shutdown may indicate that submitted tasks have ignored or suppressed interruption, causing this executor not to properly terminate.

Returns:
  `True` if terminating but not yet terminated.

#### getRejectedExecutionHandlerClass

    @MXBeanDescription(value="Class name of current rejection handler.")
    String getRejectedExecutionHandlerClass()

Returns the class name of current rejection handler.

Returns:
  Class name of current rejection handler.

#### getThreadFactoryClass

    @MXBeanDescription(value="Class name of thread factory used to create new threads.")
    String getThreadFactoryClass()

Returns the class name of thread factory used to create new threads.

Returns:
  Class name of thread factory used to create new threads.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015